GNU bug report logs - #52574
Cross-compiling glib failure

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: L p R n d n <guix@HIDDEN>; Done: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 52574-done <at> debbugs.gnu.org:


Received: (at 52574-done) by debbugs.gnu.org; 17 Jan 2022 17:14:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 17 12:14:34 2022
Received: from localhost ([127.0.0.1]:47808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9VaT-00066a-P9
	for submit <at> debbugs.gnu.org; Mon, 17 Jan 2022 12:14:34 -0500
Received: from mail-qt1-f172.google.com ([209.85.160.172]:46860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1n9VaL-00066G-Es
 for 52574-done <at> debbugs.gnu.org; Mon, 17 Jan 2022 12:14:31 -0500
Received: by mail-qt1-f172.google.com with SMTP id v7so19817390qtw.13
 for <52574-done <at> debbugs.gnu.org>; Mon, 17 Jan 2022 09:14:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=82PB6ataX5SxS8zPE16x3VCWQm5QRerqnmjEljUolBQ=;
 b=pca3ATkrxMxPMu6V2sxuilMjX+UMvvSujxZJ3cCE6pddszwgSd7+UxsZTIqBT2oEGS
 bhVy6HLto+O2bPavk1/HfCa9gTzPK7zFZDHCdWUOqlknWqEpTNCMhZFoVshZd3U0nB4A
 7c7OzF352tYQ2X7VVVyikQUtAeXKyHbLUyESx/z8bVxjmYSGQtpGBuaWQAiAGJucIoow
 rdmsXW6oc7o97zcLsmsZrFj0Pb/9LbqVc2qInFPeTj8RR/m2kCvSs/zJZYHZlXfi//iM
 B+iCTjUrcgQGEYPhO4p2ip/xvsYza5quZu7pA5UHERJzjpAjGpkJs3goMtOy8nVZKmJ8
 ob1w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=82PB6ataX5SxS8zPE16x3VCWQm5QRerqnmjEljUolBQ=;
 b=4XPy2wtR242UTeyrnGn023uXUSgPaoLsCvJ61eopI8ATVSSYNPoN6ah3EROZa8zdFP
 FeuNyChXYhVXcuY2tOz6jG7ijIwB3EVuMdj6jp8a65r0Mauqr1RjxUETpXn4ym6gAx99
 sYe2GpEjKw4ORNjn05ItYZpj6HDAuDU5xjwNioEEuViCPipqZ5dGX5AgIuNtQvSQmcag
 uEer4sq3lJXLEtqgYQAAfdFl3LkiF0UWgKOIJhHqKuaqp6EYLQaecad4f5YXQeSyv2b2
 0budPHgzOm/0muIxg5STRSUHW/hbZo3GlQfNPcwkGVqBKfbTPt17tKvi4LuWP00MVibB
 fpNQ==
X-Gm-Message-State: AOAM531D9W9FDApx7chc//OtA2gNSwB7Gg0UIip7anaDxNF1CV5DqRW2
 IsuIANse/KC5qj4D3u3hUv2jW/ZrNdOZ0A==
X-Google-Smtp-Source: ABdhPJzSU8PdPZj0gc6+cnTyJ44OPT7QlAotlFTfKeVW/gBAE4RquAvS4mAEh7e1cXaoHohyOKRnJA==
X-Received: by 2002:a05:622a:1748:: with SMTP id
 l8mr4724839qtk.558.1642439660084; 
 Mon, 17 Jan 2022 09:14:20 -0800 (PST)
Received: from hurd (dsl-205-236-230-134.b2b2c.ca. [205.236.230.134])
 by smtp.gmail.com with ESMTPSA id e15sm1730669qtp.48.2022.01.17.09.14.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 17 Jan 2022 09:14:19 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#52574: Cross-compiling glib failure
References: <87k0g3fl7c.fsf@HIDDEN>
 <befb94870e8bf96380d1ee690e0c36912e90b327.camel@HIDDEN>
 <87sfuomefw.fsf@HIDDEN>
 <c39f3277b9e7c71a2d710b81e9468db640f47b63.camel@HIDDEN>
 <87k0fyba78.fsf@HIDDEN>
Date: Mon, 17 Jan 2022 12:14:18 -0500
In-Reply-To: <87k0fyba78.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Tue, 21 Dec 2021 10:04:27 +0100")
Message-ID: <87pmoqi8t1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52574-done
Cc: 52574-done <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>,
 L p R n d n <guix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi,
>
> Maxime Devos <maximedevos@HIDDEN> skribis:
>
>> When compiling natively, we have the convenient 'with-build-variables'
>> procedure. Maybe we can have a 'with-cross-build-variables' for when
>> cross-compiling?
>>
>> That could be used in the 'gnu', etc. build systems as well, reducing
>> some duplication between build systems.
>
> Yes, that=E2=80=99s a good idea.

Agreed!

In other news, closing this bug, now resolved on master via
8faa04c316fd2318708f2fcfaeea402615aafef9.

Thanks!

Maxim




Notification sent to L p R n d n <guix@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 52574 <at> debbugs.gnu.org:


Received: (at 52574) by debbugs.gnu.org; 21 Dec 2021 09:04:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 21 04:04:42 2021
Received: from localhost ([127.0.0.1]:52328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mzb4c-0001yN-HY
	for submit <at> debbugs.gnu.org; Tue, 21 Dec 2021 04:04:42 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:57992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mzb4W-0001y3-St
 for 52574 <at> debbugs.gnu.org; Tue, 21 Dec 2021 04:04:40 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 3106A2A4;
 Tue, 21 Dec 2021 10:04:30 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id fuXiBsiGGR31; Tue, 21 Dec 2021 10:04:29 +0100 (CET)
Received: from ribbon (unknown [IPv6:2001:660:6102:320:e120:2c8f:8909:cdfe])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id DD65618E;
 Tue, 21 Dec 2021 10:04:28 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#52574: Cross-compiling glib failure
References: <87k0g3fl7c.fsf@HIDDEN>
 <befb94870e8bf96380d1ee690e0c36912e90b327.camel@HIDDEN>
 <87sfuomefw.fsf@HIDDEN>
 <c39f3277b9e7c71a2d710b81e9468db640f47b63.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 1 =?utf-8?Q?Niv=C3=B4se?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 21 Dec 2021 10:04:27 +0100
In-Reply-To: <c39f3277b9e7c71a2d710b81e9468db640f47b63.camel@HIDDEN>
 (Maxime Devos's message of "Mon, 20 Dec 2021 11:43:38 +0000")
Message-ID: <87k0fyba78.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spamd-Bar: +
X-Spam-Level: *
X-Rspamd-Server: hera
Authentication-Results: hera.aquilenet.fr;
	none
X-Rspamd-Queue-Id: 3106A2A4
X-Spamd-Result: default: False [1.96 / 15.00]; ARC_NA(0.00)[];
 RCVD_VIA_SMTP_AUTH(0.00)[];
 FREEMAIL_CC(0.00)[lprndn.info,debbugs.gnu.org,gmail.com];
 FROM_HAS_DN(0.00)[]; RCPT_COUNT_THREE(0.00)[4];
 FREEMAIL_ENVRCPT(0.00)[gmail.com];
 TO_MATCH_ENVRCPT_ALL(0.00)[]; TAGGED_RCPT(0.00)[];
 MIME_GOOD(-0.10)[text/plain]; TO_DN_SOME(0.00)[];
 FROM_EQ_ENVFROM(0.00)[]; MIME_TRACE(0.00)[0:+];
 R_MIXED_CHARSET(0.56)[subject]; RCVD_COUNT_TWO(0.00)[2];
 RCVD_TLS_ALL(0.00)[]; MID_RHS_MATCH_FROM(0.00)[];
 SUSPICIOUS_RECIPS(1.50)[]
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 52574
Cc: 52574 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 L p R n d n <guix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi,

Maxime Devos <maximedevos@HIDDEN> skribis:

> When compiling natively, we have the convenient 'with-build-variables'
> procedure. Maybe we can have a 'with-cross-build-variables' for when
> cross-compiling?
>
> That could be used in the 'gnu', etc. build systems as well, reducing
> some duplication between build systems.

Yes, that=E2=80=99s a good idea.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#52574; Package guix. Full text available.

Message received at 52574 <at> debbugs.gnu.org:


Received: (at 52574) by debbugs.gnu.org; 20 Dec 2021 04:55:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 19 23:55:49 2021
Received: from localhost ([127.0.0.1]:48684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mzAiD-0003pC-Cj
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 23:55:49 -0500
Received: from mail-qt1-f170.google.com ([209.85.160.170]:38900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mzAiB-0003oz-Ja
 for 52574 <at> debbugs.gnu.org; Sun, 19 Dec 2021 23:55:48 -0500
Received: by mail-qt1-f170.google.com with SMTP id 8so8715599qtx.5
 for <52574 <at> debbugs.gnu.org>; Sun, 19 Dec 2021 20:55:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=E2p325gQEfgn134RNYGE/7xOvfrhOBTeVMy5POTzS9U=;
 b=DzfMh9fqkeBJOlhsg7GP1TNVbGxo1J0sOfCT3kpgJ4LXRdkEXjjanpshEZ7U/Ncu5f
 a6zPK4NotY1EomouXe1gaC8lNIVjuMKdm3cgZEFkq+6+LPcb4UKSo9djW2gQjJfQh4F7
 PVZUDEsRB1YYWvqVICn7aviOEKNnHYrp7fBeSpXRrd2EpzBNjtg9Y1T3FJuv+bAV7ywP
 lxDrljZ9yjFHmMAcUbZqMM3NDgv598hG5+wL1CsuG85cnDf7THouC6JeVkp1vGNQ75BI
 U07wkXnxY0SPFHq9MFqriMTFAtW+A2mZQ+wyi42+RHsBK4i/jXVQrB4vprzXGQLm/59R
 /3ng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=E2p325gQEfgn134RNYGE/7xOvfrhOBTeVMy5POTzS9U=;
 b=V3lCOyo9jg983rI7etIwo+wQAl+AV/nXjg/y02wyvTEDFGh2rbJhS2pl78cYV5RW15
 EJQpO0RkktE54e/01z8fd2HOsLPrPfU9kzQm0A045UrAeYEr+ASj/U7NUpVIfTnFSXCP
 gGItqQaLULJuRiF1BroMDevi5hLnn8JO8vHD5xAlBJX7FISW9ToQe17AsoEShm8oXpde
 32XW06ScoKcqYOqXKVW2qbARMO5BDivTUqGfbWjXdSdnVgzxMkaCb/m9+G4UwYVjchlu
 uhtgVuIM5ZwcTIvfz6LofC/4rjg2Mr+68vFMdFQzV6qRmi3t7ZX0mqJaDDlsPOo7Duyn
 DVwQ==
X-Gm-Message-State: AOAM53304hIxjeFh4b1A0soWRgDfZ+5yRY2UF9viTHRUDfNfAkg5bYDK
 eCUF/MhFWX7ncR+uD5dhUnQ=
X-Google-Smtp-Source: ABdhPJxjkGunXu8v2FVlhVrW9mqPPWsvyBvHHXAObFa1jv/RTZkkNVhhBMnbieOyRvgIfMFb2MMeDA==
X-Received: by 2002:ac8:5ad1:: with SMTP id d17mr11022631qtd.23.1639976142018; 
 Sun, 19 Dec 2021 20:55:42 -0800 (PST)
Received: from hurd (dsl-10-133-19.b2b2c.ca. [72.10.133.19])
 by smtp.gmail.com with ESMTPSA id bs7sm10444965qkb.79.2021.12.19.20.55.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 19 Dec 2021 20:55:41 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#52574: Cross-compiling glib failure
References: <87k0g3fl7c.fsf@HIDDEN>
 <befb94870e8bf96380d1ee690e0c36912e90b327.camel@HIDDEN>
 <87sfuomefw.fsf@HIDDEN>
Date: Sun, 19 Dec 2021 23:55:40 -0500
In-Reply-To: <87sfuomefw.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Sun, 19 Dec 2021 23:12:51 +0100")
Message-ID: <87fsqn3mer.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52574
Cc: 52574 <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>,
 L p R n d n <guix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi,
>
> Maxime Devos <maximedevos@HIDDEN> skribis:
>
>> Actually, glib's build system (meson-build-system) did not support
>> cross-compilation at all before the merge. Cross-compilation support
>> was added on that branch, but glib's package broke later, presumably in
>> <https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3Df22f6fc3b6cc638=
2df3246d192a40a3951b48c37>.
>>
>> The fix would be to replace to wrap the configure flags in a #~,
>> instead of a =C2=B4,replace (assoc-ref %outputs "bin") by #$output:bin a=
nd
>> adjust the configure flags of glib-with-documentation to use #~ and #$
>> instead of =C2=B4 and ,.
>>
>> To avoid rebuilds, some
>> (if (%current-target-system) #~#$output:bin #~(assoc-ref %outputs
>> "bin"))
>> may be needed.
>
> In the case of =E2=80=98meson-build-system=E2=80=99, the logical fix IMO =
would be to
> define =E2=80=98%build-inputs=E2=80=98, =E2=80=98%outputs=E2=80=99, etc. =
when cross-compiling, with the
> patch below.
>
> This would be consistent with the fact that =E2=80=98meson-build-system=
=E2=80=99 defines
> those variables for native builds already.
>
> Thoughts?
>
> Longer-term we can move away from =E2=80=98%outputs=E2=80=99, =E2=80=98%b=
uild-inputs=E2=80=99, & co.,
> but that=E2=80=99s another story.

Seems the proper fix; I'm just wondering; could there be other build
systems that were overlooked needing the same fix?  If so, we should fix
them now too.




Information forwarded to bug-guix@HIDDEN:
bug#52574; Package guix. Full text available.

Message received at 52574 <at> debbugs.gnu.org:


Received: (at 52574) by debbugs.gnu.org; 19 Dec 2021 22:13:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 19 17:13:03 2021
Received: from localhost ([127.0.0.1]:48405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mz4QQ-00006e-Mh
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 17:13:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mz4QO-000069-Pa
 for 52574 <at> debbugs.gnu.org; Sun, 19 Dec 2021 17:13:01 -0500
Received: from [2001:470:142:3::e] (port=47294 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1mz4QI-0006Ws-GL; Sun, 19 Dec 2021 17:12:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=k36RF+RSBX42dNEX8IlCL/fu/KHzNZad8sTMU7kVOCU=; b=WWWv/+deTUBMnmStT/Uz
 9VXz15mfhALneXEry8GZHNghVtvlIrdhJW6NiWYI5zgNm7QEgXhZBpE/8x0Ey1yn6iMhbJzJUasz2
 BUp2Ixpb5kDufArHGM65MvB8giWkJ+8BKjpLsAxQIDLn5XbvmUXuoVUriuVhCHVM4qlEgtO8dXxs9
 4ubBo7UvgjsYD8MLV/NR8zW7oJuHTX2dzxnqgamt/WN3tzGbava7FTgBEGp7rxL6DPoye/sRcTgQM
 GxWMy38x3WPBAfLt4oEdIYwQDZYmdScE29BMWtHjqG9vxg246XPfiBYt2zgxu0laRJN9a9mO3soqA
 lLX9em08Kan9OQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:55762
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1mz4QI-0001fI-GG; Sun, 19 Dec 2021 17:12:54 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#52574: Cross-compiling glib failure
References: <87k0g3fl7c.fsf@HIDDEN>
 <befb94870e8bf96380d1ee690e0c36912e90b327.camel@HIDDEN>
Date: Sun, 19 Dec 2021 23:12:51 +0100
In-Reply-To: <befb94870e8bf96380d1ee690e0c36912e90b327.camel@HIDDEN>
 (Maxime Devos's message of "Fri, 17 Dec 2021 21:40:17 +0000")
Message-ID: <87sfuomefw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52574
Cc: 52574 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 L p R n d n <guix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

Maxime Devos <maximedevos@HIDDEN> skribis:

> Actually, glib's build system (meson-build-system) did not support
> cross-compilation at all before the merge. Cross-compilation support
> was added on that branch, but glib's package broke later, presumably in
> <https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3Df22f6fc3b6cc6382=
df3246d192a40a3951b48c37>.
>
> The fix would be to replace to wrap the configure flags in a #~,
> instead of a =C2=B4,replace (assoc-ref %outputs "bin") by #$output:bin and
> adjust the configure flags of glib-with-documentation to use #~ and #$
> instead of =C2=B4 and ,.
>
> To avoid rebuilds, some
> (if (%current-target-system) #~#$output:bin #~(assoc-ref %outputs
> "bin"))
> may be needed.

In the case of =E2=80=98meson-build-system=E2=80=99, the logical fix IMO wo=
uld be to
define =E2=80=98%build-inputs=E2=80=98, =E2=80=98%outputs=E2=80=99, etc. wh=
en cross-compiling, with the
patch below.

This would be consistent with the fact that =E2=80=98meson-build-system=E2=
=80=99 defines
those variables for native builds already.

Thoughts?

Longer-term we can move away from =E2=80=98%outputs=E2=80=99, =E2=80=98%bui=
ld-inputs=E2=80=99, & co.,
but that=E2=80=99s another story.

Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/guix/build-system/meson.scm b/guix/build-system/meson.scm
index ba7441a3eb..ad604f8871 100644
--- a/guix/build-system/meson.scm
+++ b/guix/build-system/meson.scm
@@ -287,6 +287,19 @@ (define builder
       #~(begin
           (use-modules #$@(sexp->gexp modules))
 
+          (define %build-host-inputs
+            #+(input-tuples->gexp build-inputs))
+
+          (define %build-target-inputs
+            (append #$(input-tuples->gexp host-inputs)
+                    #+(input-tuples->gexp target-inputs)))
+
+          (define %build-inputs
+            (append %build-host-inputs %build-target-inputs))
+
+          (define %outputs
+            #$(outputs->gexp outputs))
+
           (define build-phases
             #$(let ((phases (if (pair? phases) (sexp->gexp phases) phases)))
                 (if glib-or-gtk?

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#52574; Package guix. Full text available.

Message received at 52574 <at> debbugs.gnu.org:


Received: (at 52574) by debbugs.gnu.org; 18 Dec 2021 04:34:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 17 23:34:56 2021
Received: from localhost ([127.0.0.1]:41041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myRQu-00042R-1D
	for submit <at> debbugs.gnu.org; Fri, 17 Dec 2021 23:34:56 -0500
Received: from mail-qk1-f179.google.com ([209.85.222.179]:43533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1myRQs-00042F-PK
 for 52574 <at> debbugs.gnu.org; Fri, 17 Dec 2021 23:34:55 -0500
Received: by mail-qk1-f179.google.com with SMTP id 193so4196786qkh.10
 for <52574 <at> debbugs.gnu.org>; Fri, 17 Dec 2021 20:34:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=aNL56/0UcpzqXpqjdZgRAPmwMQ51hSsaF7FL1VjLW7w=;
 b=YozHBLTT/O/rZ0cSfgPJvdYS/M7WkUGaNyU+Z4avemgLSp+yl198Yg6Ek9x6hDbZCD
 HWK/KoOszFSh22ePe9bvhTRYgAOk9lUZjkqTNZaV2QesYOe7qxb0NXnKeJ2PnqzmlU3M
 UeKzWw3WJLcUunNxnE3O+CkZAX6k+YBlk8FrLJDjdNyvH//CNMSHZoRzNnfXpfs+NiyI
 Azbv0QQTDvlaQbQPZ3Agzq8xjliBQGRe0Ptnb0El/l3K1XH7SjxPENQ9xN2OjjU3yewZ
 xQVQWQtlsXIJ3RCKD+O9omJ0o5flXHfmZRm6zVxvhJciatws7q4wzx1api2kz0JFQxFq
 Jjhw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=aNL56/0UcpzqXpqjdZgRAPmwMQ51hSsaF7FL1VjLW7w=;
 b=gjzck5ALPs3qQwXnF2ijmGIUSBMh5w2EGQi/AzdsLGwdb3pUGyWDtMa7lJaYcp1Yjg
 wD4xFEO2BOzpMKa8LLvNsObVuncCfQzN9fys2UM9etooXvaTmR1DkJnBYABhf4fsadiF
 8bvjV70sFDhZQU/6ePqX25yyJicd2nZDtqNwmSn7wXJX6Wq9Z6kgVu7xo2zIY3DwoCml
 Sx+3wTA+fpuHTsmfyH7190xHL4p2oTRXSQGjKGD2AdScUzSy50lT8eCN94eR6VbZZORX
 0RTWas3xo6XIMQOXpzRSh1cF+40P9+kOj5sfyo1G/rXfLcr16uVdhUGZpeBPFYWPnwpI
 tO+g==
X-Gm-Message-State: AOAM533bW6cuAQmCXaj2JcnT/N0HSgCr3S1wq6Q5TUJdazJ4JzQBjBY1
 sd8VjwdZkyrhgXdsdRSIPoKrrNvCDLA=
X-Google-Smtp-Source: ABdhPJz/fL2/h/8evL33rQSJCWG6FZGmzboG5G6rByBTae8RasAsWRPO564DYjsUq83ATtmPkduqCA==
X-Received: by 2002:a05:620a:254a:: with SMTP id
 s10mr3893969qko.654.1639802089036; 
 Fri, 17 Dec 2021 20:34:49 -0800 (PST)
Received: from hurd ([207.35.95.41])
 by smtp.gmail.com with ESMTPSA id n20sm6029435qkp.65.2021.12.17.20.34.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Dec 2021 20:34:48 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#52574: Cross-compiling glib failure
References: <87k0g3fl7c.fsf@HIDDEN>
 <befb94870e8bf96380d1ee690e0c36912e90b327.camel@HIDDEN>
Date: Fri, 17 Dec 2021 23:34:47 -0500
In-Reply-To: <befb94870e8bf96380d1ee690e0c36912e90b327.camel@HIDDEN>
 (Maxime Devos's message of "Fri, 17 Dec 2021 21:40:17 +0000")
Message-ID: <87r1aa4jko.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52574
Cc: 52574 <at> debbugs.gnu.org, L p R n d n <guix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Maxime Devos <maximedevos@HIDDEN> writes:

> L p R n d n schreef op vr 17-12-2021 om 12:51 [+0000]:
>>=20
>> Hello guix,
>>=20
>> Trying to cross-compile glib to aarch64with:
>>=20
>> guix build --target=3Daarch64-linux-gnu glib
>>=20
>> I get this error:
>>=20
>> `Unbound variable: %outputs
>>=20
>> I suppose the glib=E2=80=99s definition needs to be adapted to Guix=E2=
=80=99s new
>> style
>> which was merged a few days ago?
>>=20
>
> Actually, glib's build system (meson-build-system) did not support
> cross-compilation at all before the merge. Cross-compilation support
> was added on that branch, but glib's package broke later, presumably in
> <https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3Df22f6fc3b6cc6382=
df3246d192a40a3951b48c37>.
>
> The fix would be to replace to wrap the configure flags in a #~,
> instead of a =C2=B4,replace (assoc-ref %outputs "bin") by #$output:bin and
> adjust the configure flags of glib-with-documentation to use #~ and #$
> instead of =C2=B4 and ,.
>
> To avoid rebuilds, some
> (if (%current-target-system) #~#$output:bin #~(assoc-ref %outputs
> "bin"))
> may be needed.

Thanks for the hints.  I'm trying the following fix on my (local for
now) version-1.4.0 branch:

--8<---------------cut here---------------start------------->8---
modified   gnu/packages/glib.scm
@@ -212,12 +212,11 @@ (define glib
                    `(,(this-package-native-input "python")
                      ,(this-package-native-input "python-wrapper")))
               '()))
-       #:configure-flags (list "--default-library=3Dboth"
-                               "-Dman=3Dfalse"
-                               "-Dselinux=3Ddisabled"
-                               (string-append "--bindir=3D"
-                                              (assoc-ref %outputs "bin")
-                                              "/bin"))
+       #:configure-flags #~(list "--default-library=3Dboth"
+                                 "-Dman=3Dfalse"
+                                 "-Dselinux=3Ddisabled"
+                                 (string-append "--bindir=3D"
+                                                #$output:bin "/bin"))
        #:phases
        (modify-phases %standard-phases
          ;; Needed to pass the test phase on slower ARM and i686 machines.
@@ -365,8 +364,8 @@ (define-public glib-with-documentation
     (arguments
      (substitute-keyword-arguments (package-arguments glib)
        ((#:configure-flags flags ''())
-        `(cons "-Dgtk_doc=3Dtrue"
-               (delete "-Dman=3Dfalse" ,flags)))
+        #~(cons "-Dgtk_doc=3Dtrue"
+                (delete "-Dman=3Dfalse" #$flags)))
        ((#:phases phases)
         `(modify-phases ,phases
            (add-after 'unpack 'patch-docbook-xml
--8<---------------cut here---------------end--------------->8---

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#52574; Package guix. Full text available.

Message received at 52574 <at> debbugs.gnu.org:


Received: (at 52574) by debbugs.gnu.org; 17 Dec 2021 21:40:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 17 16:40:22 2021
Received: from localhost ([127.0.0.1]:40745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myKxh-0007bM-RL
	for submit <at> debbugs.gnu.org; Fri, 17 Dec 2021 16:40:22 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:44212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1myKxg-0007bC-22
 for 52574 <at> debbugs.gnu.org; Fri, 17 Dec 2021 16:40:21 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by xavier.telenet-ops.be with bizsmtp
 id XZgH2600E4UW6Th01ZgHZR; Fri, 17 Dec 2021 22:40:18 +0100
Message-ID: <befb94870e8bf96380d1ee690e0c36912e90b327.camel@HIDDEN>
Subject: Re: bug#52574: Cross-compiling glib failure
From: Maxime Devos <maximedevos@HIDDEN>
To: L p R n d n <guix@HIDDEN>, 52574 <at> debbugs.gnu.org
Date: Fri, 17 Dec 2021 21:40:17 +0000
In-Reply-To: <87k0g3fl7c.fsf@HIDDEN>
References: <87k0g3fl7c.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1639777218; bh=1SwaIPUxHMofxAP+/2cZ47nIBkiCNu+Lx36sSBYaonQ=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=TgjLO4hF36dKPv5K2Aq4NS8M4lulz8IR9mlF+jGd5zRnW2LDiwnaPOhNP2La6HRNn
 NQ4hLJIcCYIDBOpdLNdWCEPIyufmaiIgE3hcyO+/mQmr0zhY8sXiu9vOpKh+PPsb8e
 o6aHAd7XSkF7MSFgsEwwkwH8cr9zEtHy9nFYzL2U7dE5ekI/Xng57tsPpiXJdSb+CT
 hBYw0o3QAtAZLRmnw9s9PgUY7Pdn4kjO7a9KpFCALXLaUKr7SkJJ9JMlQMBGxv6f34
 jFriPezaESQwW/5NMb5dNwV6DRIewivOlfGQRLiDNLRqkMDEyD6jN3vqf+Oqy29+7F
 q+ZMuJgSc42Mg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52574
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

L p R n d n schreef op vr 17-12-2021 om 12:51 [+0000]:
> 
> Hello guix,
> 
> Trying to cross-compile glib to aarch64with:
> 
> guix build --target=aarch64-linux-gnu glib
> 
> I get this error:
> 
> `Unbound variable: %outputs
> 
> I suppose the glib’s definition needs to be adapted to Guix’s new
> style
> which was merged a few days ago?
> 

Actually, glib's build system (meson-build-system) did not support
cross-compilation at all before the merge. Cross-compilation support
was added on that branch, but glib's package broke later, presumably in
<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=f22f6fc3b6cc6382df3246d192a40a3951b48c37>.

The fix would be to replace to wrap the configure flags in a #~,
instead of a ´,replace (assoc-ref %outputs "bin") by #$output:bin and
adjust the configure flags of glib-with-documentation to use #~ and #$
instead of ´ and ,.

To avoid rebuilds, some
(if (%current-target-system) #~#$output:bin #~(assoc-ref %outputs
"bin"))
may be needed.

Greetings,
Maxime.





Information forwarded to bug-guix@HIDDEN:
bug#52574; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Dec 2021 12:52:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 17 07:52:41 2021
Received: from localhost ([127.0.0.1]:38209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myCj3-0002gw-4F
	for submit <at> debbugs.gnu.org; Fri, 17 Dec 2021 07:52:41 -0500
Received: from lists.gnu.org ([209.51.188.17]:49834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix@HIDDEN>) id 1myCj0-0002gl-NG
 for submit <at> debbugs.gnu.org; Fri, 17 Dec 2021 07:52:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40758)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <guix@HIDDEN>) id 1myCj0-0004Dj-D6
 for bug-guix@HIDDEN; Fri, 17 Dec 2021 07:52:38 -0500
Received: from mout01.posteo.de ([185.67.36.141]:55455)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <guix@HIDDEN>) id 1myCiy-0001ak-IV
 for bug-guix@HIDDEN; Fri, 17 Dec 2021 07:52:38 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id E10B1240027
 for <bug-guix@HIDDEN>; Fri, 17 Dec 2021 13:52:22 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4JFpm61Ck1z6tpX
 for <bug-guix@HIDDEN>; Fri, 17 Dec 2021 13:52:22 +0100 (CET)
From: L  p R n  d n    <guix@HIDDEN>
To: bug-guix@HIDDEN 
Subject: Cross-compiling glib failure
Date: Fri, 17 Dec 2021 12:51:51 +0000
Message-ID: <87k0g3fl7c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: neutral client-ip=185.67.36.141; envelope-from=guix@HIDDEN;
 helo=mout01.posteo.de
X-Spam_score_int: -33
X-Spam_score: -3.4
X-Spam_bar: ---
X-Spam_report: (-3.4 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_MED=-2.3,
 SPF_HELO_NONE=0.001, SPF_NEUTRAL=0.779 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)


Hello guix,

Trying to cross-compile glib to aarch64with:

guix build --target=3Daarch64-linux-gnu glib

I get this error:

`Unbound variable: %outputs

I suppose the glib=E2=80=99s definition needs to be adapted to Guix=E2=80=
=99s new style
which was merged a few days ago?

Thanks,

L  p R n  d n=20=20=20




Acknowledgement sent to L p R n d n <guix@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#52574; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 17 Jan 2022 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.